Subject: bug#24298: Acknowledgement (25.1; problem with restoring desktop)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2016 19:47:24 +0200

> Date: Sat, 10 Dec 2016 11:02:47 -0500
> From: John Covici <[email-masked]>
> Cc: [email-masked]
> 
> > The desktop file you sent doesn't have Makefile, it has default.xml
> > and brltty-9999.ebuild.  The buffer that's expected to be the current
> > one after restoring is the first one in the list, and in your case
> > it's default.xml.  So if that buffer becomes the current after
> > restoring desktop, I don't see a problem in the restore stage, and
> > don't understand how that commit could have changed this.
> > 
> > What do you see in the list returned by buffer-list, before you end a
> > session?  The buffers are recorded in the desktop file in the order
> > they appear in that list, and in my case, this is the current buffer
> > when I invoke desktop-save.
> 
> I am sorry, it wasn't a makefile, you are correct.  OK, let me try
> again.  Before the restore commit, when I enter emacs, the current
> buffer is brltty-9999.ebuild but after the commit the current buffer
> is the default.xml.    Before the restore commit, if I do c-x-b the
> default buffer it wants to switch to is default.xml.  After the
> restore commit, when the current buffer is default.xml when it should
> be brltty-9999.ebuild the default buffer to switch to is the scratch
> buffer.  In a desktop with many buffers, after the restore commit, it
> seems to pick a random buffer to be the current buffer rather than the
> one it should be.
> 
> I hope this is clear now.

It is, thanks.  But please also answer my question above about the
order of buffers in the list returned by buffer-list, before you quite
Emacs which writes the desktop file.